/** C O N F I G U R A T I O N ************************************************/
// Note: For a complete list of the available config pragmas and their values, 
// see the compiler documentation, and/or click "Help --> Topics..." and then 
// select "PIC18 Config Settings" in the Language Tools section.

#if defined(MiE_PIC18F14K50Trainer)
 	#if defined(__18F14K50)
		#pragma config CPUDIV = NOCLKDIV
		#pragma config USBDIV = ON
		#pragma config FOSC = HS
		#pragma config PLLEN = ON
		#pragma config PCLKEN = ON
		#pragma config FCMEN = OFF
		#pragma config IESO = OFF
		#pragma config PWRTEN = OFF
		#pragma config BOREN = OFF
		#pragma config WDTEN = OFF
		#pragma config MCLRE = ON
		#pragma config HFOFST = OFF
		#pragma config STVREN = OFF
		#pragma config LVP = OFF
		#pragma config BBSIZ = OFF
		#pragma config XINST = OFF
		#pragma config CP0 = OFF
		#pragma config CP1 = OFF
		#pragma config CPB = OFF
		#pragma config CPD = OFF
		#pragma config WRT0 = OFF
		#pragma config WRT1 = OFF
		#pragma config WRTB = OFF
		#pragma config WRTC = OFF
		#pragma config WRTD = OFF
		#pragma config EBTR0 = OFF
		#pragma config EBTR1 = OFF
		#pragma config EBTRB = OFF
	#endif
#elif defined(MiE_PIC18F255xTrainer)
 	#if defined(__18F2550) || defined(__18F2553)
		#pragma config PLLDIV = 2 //Divide by 2 (8 MHz oscillator input)
		#pragma config CPUDIV = OSC1_PLL2 //[OSC1/OSC2 Src: /1][96 MHz PLL Src: /2]
		#pragma config USBDIV = 2 //USB clock source comes from the 96 MHz PLL divided by 2
		#pragma config FOSC =  HSPLL_HS //HS oscillator, PLL enabled, HS used by USB
		#pragma config FCMEN = OFF //Fail-Safe Clock Monitor disabled
		#pragma config IESO = OFF //Oscillator Switchover mode disabled
		#pragma config PWRT = OFF //PWRT disabled
		#pragma config BOR = OFF //Brown-out Reset disabled in hardware and software
		#pragma config BORV = 0 //Maximum setting
		#pragma config VREGEN = ON //USB voltage regulator enabled 
		#pragma config WDT = OFF //HW Disabled - SW Controlled
		#pragma config WDTPS = 1 //1:1
		#pragma config MCLRE = ON //MCLR pin enabled; RE3 input pin disabled
		#pragma config LPT1OSC = OFF //Timer1 configured for higher power operation
		#pragma config PBADEN = OFF //PORTB<4:0> pins are configured as digital I/O on Reset
		#pragma config CCP2MX = OFF //CCP2 input/output is multiplexed with RB3 
		#pragma config STVREN = OFF //Stack full/underflow will not cause Reset
		#pragma config LVP = OFF //Single-Supply ICSP disabled 
		#pragma config XINST = OFF //Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
		#pragma config DEBUG = OFF //Background debugger enabled, RB6 and RB7 are dedicated to In-Circuit Debug
		#pragma config CP0 = OFF //Block 0 (000800-001FFFh) not code-protected
		#pragma config CP1 = OFF //Block 1 (002000-003FFFh) not code-protected
		#pragma config CP2 = OFF //Block 2 (004000-005FFFh) not code-protected
		#pragma config CP3 = OFF //Block 3 (006000-007FFFh) not code-protected
		#pragma config CPB = OFF //Boot block (000000-0007FFh) not code-protected
		#pragma config CPD = OFF //Data EEPROM not code-protected
		#pragma config WRT0 = OFF //Block 0 (000800-001FFFh) not write-protected
		#pragma config WRT1 = OFF //Block 1 (002000-003FFFh) not write-protected
		#pragma config WRT2 = OFF //Block 2 (004000-005FFFh) not write-protected
		#pragma config WRT3 = OFF //Block 3 (006000-007FFFh) not write-protected
		#pragma config WRTB = OFF //Boot block (000000-0007FFh) not write-protected
		#pragma config WRTC = OFF //Configuration registers (300000-3000FFh) not write-protected
		#pragma config WRTD = OFF //Data EEPROM not write-protected
		#pragma config EBTR0 = OFF //Block 0 (000800-001FFFh) not protected from table reads executed in other blocks
		#pragma config EBTR1 = OFF //Block 1 (002000-003FFFh) not protected from table reads executed in other blocks
		#pragma config EBTR2 = OFF //Block 2 (004000-005FFFh) not protected from table reads executed in other blocks
		#pragma config EBTR3 = OFF //Block 3 (006000-007FFFh) not protected from table reads executed in other blocks
		#pragma config EBTRB = OFF //Boot block (000000-0007FFh) not protected from table reads executed in other blocks
	#endif
#elif defined(MiE_PIC18F455xTrainer)
 	#if defined(__18F4550) || defined(__18F4553)
		#pragma config PLLDIV = 2 //Divide by 2 (8 MHz oscillator input)
		#pragma config CPUDIV = OSC1_PLL2 //[OSC1/OSC2 Src: /1][96 MHz PLL Src: /2]
		#pragma config USBDIV = 2 //USB clock source comes from the 96 MHz PLL divided by 2
		#pragma config FOSC =  HSPLL_HS //HS oscillator, PLL enabled, HS used by USB
		#pragma config FCMEN = OFF //Fail-Safe Clock Monitor disabled
		#pragma config IESO = OFF //Oscillator Switchover mode disabled
		#pragma config PWRT = OFF //PWRT disabled
		#pragma config BOR = OFF //Brown-out Reset disabled in hardware and software
		#pragma config BORV = 0 //Maximum setting
		#pragma config VREGEN = ON //USB voltage regulator enabled 
		#pragma config WDT = OFF //HW Disabled - SW Controlled
		#pragma config WDTPS = 1 //1:1
		#pragma config MCLRE = ON //MCLR pin enabled; RE3 input pin disabled
		#pragma config LPT1OSC = OFF //Timer1 configured for higher power operation
		#pragma config PBADEN = OFF //PORTB<4:0> pins are configured as digital I/O on Reset
		#pragma config CCP2MX = OFF //CCP2 input/output is multiplexed with RB3 
		#pragma config STVREN = OFF //Stack full/underflow will not cause Reset
		#pragma config LVP = OFF //Single-Supply ICSP disabled 
		#pragma config XINST = OFF //Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
		#pragma config DEBUG = OFF //Background debugger enabled, RB6 and RB7 are dedicated to In-Circuit Debug
		#pragma config CP0 = OFF //Block 0 (000800-001FFFh) not code-protected
		#pragma config CP1 = OFF //Block 1 (002000-003FFFh) not code-protected
		#pragma config CP2 = OFF //Block 2 (004000-005FFFh) not code-protected
		#pragma config CP3 = OFF //Block 3 (006000-007FFFh) not code-protected
		#pragma config CPB = OFF //Boot block (000000-0007FFh) not code-protected
		#pragma config CPD = OFF //Data EEPROM not code-protected
		#pragma config WRT0 = OFF //Block 0 (000800-001FFFh) not write-protected
		#pragma config WRT1 = OFF //Block 1 (002000-003FFFh) not write-protected
		#pragma config WRT2 = OFF //Block 2 (004000-005FFFh) not write-protected
		#pragma config WRT3 = OFF //Block 3 (006000-007FFFh) not write-protected
		#pragma config WRTB = OFF //Boot block (000000-0007FFh) not write-protected
		#pragma config WRTC = OFF //Configuration registers (300000-3000FFh) not write-protected
		#pragma config WRTD = OFF //Data EEPROM not write-protected
		#pragma config EBTR0 = OFF //Block 0 (000800-001FFFh) not protected from table reads executed in other blocks
		#pragma config EBTR1 = OFF //Block 1 (002000-003FFFh) not protected from table reads executed in other blocks
		#pragma config EBTR2 = OFF //Block 2 (004000-005FFFh) not protected from table reads executed in other blocks
		#pragma config EBTR3 = OFF //Block 3 (006000-007FFFh) not protected from table reads executed in other blocks
		#pragma config EBTRB = OFF //Boot block (000000-0007FFh) not protected from table reads executed in other blocks
	#endif
#else
	#error Not a supported board (yet), make sure the proper board is selected in usbcfg.h, and if so, set configuration bits in __FILE__, line __LINE__
#endif
